"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PnpNodeM = void 0;
var utils_1 = require("./utils");
var PnpNodeM = (function () {
    function PnpNodeM() {
        var _this = this;
        var factories = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            factories[_i] = arguments[_i];
        }
        this.fetch = function (url, options) {
            var clientInstance = _this.utils.mergeHeaders(options.headers).get('x-clientinstance') || 'default';
            var client = _this.factories.find(function (f) { return f.clientInstance === clientInstance; });
            if (!client) {
                throw Error("No fetch client found for client instance '" + clientInstance + "'.");
            }
            return client.fetch(url, options);
        };
        this.factories = factories;
        this.utils = new utils_1.Utils();
    }
    return PnpNodeM;
}());
exports.PnpNodeM = PnpNodeM;
//# sourceMappingURL=PnpNodeM.js.map